Bug 128658 - image compress and impress optimization Defaults
Summary: image compress and impress optimization Defaults
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: andreas_k
URL:
Whiteboard: target:6.5.0
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-07 23:24 UTC by andreas_k
Modified: 2020-01-13 07:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Optimize Images Presets (72.68 KB, image/png)
2019-11-07 23:24 UTC, andreas_k
Details
Image Compression default's (6.50 MB, application/vnd.oasis.opendocument.presentation)
2020-01-08 13:52 UTC, andreas_k
Details
Powerpoint Image optimization Dialog (10.26 KB, image/png)
2020-01-08 14:13 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2019-11-07 23:24:36 UTC
Created attachment 155620 [details]
Optimize Images Presets

If you would like to compress images in LibO the default settings are:

compress single image
---------------------
JPEG Quality: 90
PNG Compression: 9
Resolution: 96 DPI

If you use the default settings for Presentation minimizer the default settings are:

Impress minimize
-----------------
JPEG Quality: 75
Resolution: 150 DPI

Gimp Defaults
JPEG Quality: 90
PNG Quality: 6

Krita Defaults
JPEG Quality: 80
PNG Quality: 7

Compress single Image
=====================
was used in writer, calc, ... everywhere the goal should be the print, cause if it work on print, it will work on the screen to.
-> JPEG Quality: 90 don't compress them very much
-> PNG Compression: 9 mean no compression at all
-> Resolution: 96 mean optimized for the screen
-> conclusion less use of JPEG/PNG compression feature but lowest useful resolution.

My proposal:
- JPEG Quality Default: 80
- PNG Compression Default: 7
- Resolution Default: 
  300 DPI for single image compression (default is optimizes for printout)
  150 DPI for impress
Comment 1 Heiko Tietze 2019-11-14 14:09:16 UTC
Please make the request more specific. What module and dialog do you have in mind?
Comment 2 andreas_k 2020-01-08 13:52:13 UTC
Created attachment 157005 [details]
Image Compression default's

Study how different settings will look like.

Solution for Compress Image will be:
- jpeg quality default = 80
- png compression default = 6
- resolution default = 300 DPI

the patch for the default change.
https://gerrit.libreoffice.org/c/core/+/86431

an additional patch could be to deactivate Reduce image resolution by default.
Comment 3 andreas_k 2020-01-08 14:13:27 UTC
Created attachment 157006 [details]
Powerpoint Image optimization Dialog

Powerpoint has the following Resolution settings:

- High Fidelity = Default (Reduce image resolution not set)
- HD 330 ppi
- Print 220 ppi
- Web 150 ppi
- E-Mail 96 ppi
Comment 4 andreas_k 2020-01-08 14:50:19 UTC
The patch for impress presentation optimizer

https://gerrit.libreoffice.org/c/core/+/86436

I use similar settings than Powerpoint

- E-Mail 96 DPI JPG 70
- Web 150 DPI JPG 75
- Print 300 DPI JPG 80
- High Fidelity (Reduce image resolution not set)
Comment 5 Heiko Tietze 2020-01-08 15:06:22 UTC
Sounds like a good plan
Comment 6 Commit Notification 2020-01-13 07:24:12 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b448b4953c8a8c2bd307844a5705b9832a6cffa4

tdf#128658 presentation optimizer default image settings update

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-01-13 07:24:22 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d3ac24bdb5dd4bc70a0b0c217b5e8f503dad8545

tdf#128658 update image compress dialog default settings

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.